C+
C NAME:
C	ArrI4Bad
C PURPOSE:
C	Initialize integer*4 array to 'bad' value
C CALLING SEQUENCE:
	subroutine ArrI4Bad(N,C)
C CALLS:
C	BadI4
C SEE ALSO:
C	Array_Info
C-
	    integer	N
	    integer	C(*)

	integer		BadI4

!$omp parallel private(ibad,I)
	ibad = BadI4()

!$omp do schedule(static)
	do I=1,N
	    C(I) = ibad
	end do
!$omp end do nowait
!$omp end parallel

	return
	end
